import { OnInit, EventEmitter } from '@angular/core';
import { Tree } from '../../models/tree.model';
import { IconDefinition } from '@fortawesome/free-solid-svg-icons';
import { Leaf } from '../../models/leaf.model';
import { LeafClickedEvent } from '../../models/leaf-clicked-event.model';
import { ILoggingService } from '../../interfaces/ILoggingService.interface';
export declare class NgxBootstrapTreeviewComponent implements OnInit {
    leafClicked: EventEmitter<LeafClickedEvent>;
    loggingService: ILoggingService;
    tree: Tree;
    isOpened: boolean;
    canSelectTree: boolean;
    openedFolderIcon: IconDefinition;
    closedFolderIcon: IconDefinition;
    unselectedLeafIcon: IconDefinition;
    selectedLeafIcon: IconDefinition;
    childrenState: string;
    selectedLeaves: Leaf[];
    constructor();
    ngOnInit(): void;
    itemClicked(leafClickedEvent?: LeafClickedEvent): void;
    leafClickedCallback(): void;
    private _selectLeaf;
    private _unselectLeaf;
    private _leafClickedEventReceived;
    private _leafIndex;
}
